:root {
    /*--body-color: #666666;*/
    /* --primary: #a50010; */
    --secondary: #777777;
    --success: #009863;
    --info: #0dcaf0;
    --warning: #eaaa2a;
    --light: #ffffff;
    --dark: #212529;
    --violet: #C57DFF;
    --green: #09B35E;
    --orange: #ffb21c;
    --gray-dark: #333333;
    --gray: #555555;
    --gray-light: #efefef;
    /*Card background color*/
    --blue: #398ee7;
    --red: #ff0000;
    --red-light: #ffc6c6;
    --green-light: #bfe8bf;

    --main-background-color: #ffffff;
    /*--special-headline-color: #444444; */
    --main-text-color: #666666;
    --banner-binding-background-color: #212529;
    --banner-binding-main-text-color: #ffffff;
    --banner-binding-secondary-text-color: #777777;
    --banner-binding-copyright-text-color: #777777;
    --primary: #a50010;
    --cards-background-color: #efefef;

    --interferer-background-color: #efefef;
    --interferer-border-color: #a50010;
    --interferer-arrow-color: #a50010;
    --interferer-heading-color: #a50010;
    --interferer-button-border-color: #a50010;
    --interferer-button-background-color: #ffffff;
    --interferer-button-text-color: #666666;
    --interferer-news-title-color: #a50010;
    --interferer-news-description-color: #a50010;
    --interferer-news-text-color: #888888;
    --interferer-news-link-color: #888888

    --link-color: #a50010;

    --image-border-color: #000000;
    --image-border-widt: 6px;

    --typo3-login-container-backgroud-color: #ffffff;

    --primary-btn-bg-color: #a50010;
    --primary-btn-text-color: #ffffff;

    --banner-binding-footer-email-color: #a50010;
    --banner-binding-slider-buttons-color: #a50010;
}


body {
    background-color: var(--main-background-color);
    color: var(--main-text-color);
}

h3 {
    color:#009863
}

.luftwaffe-pageheader .diagonal-spacer {
    background-color: var(--main-background-color);
}

.bg-gray-light {
    background-color: var(--gray-light);
}

.bg-red-light {
    background-color: var(--red-light);
}

.bg-green-light {
    background-color: var(--green-light);
}

.text-orange {
    color: var(--orange);
}

.text-blue {
    color: var(--blue);
}

h3,
.h3 {
    color: var(--dark);
}

h4,
.h4 {
    color: var(--dark);
}

:root {
    --bs-blue: var(--blue);
    --bs-red: var(--red);
    --bs-orange: var(--orange);
    --bs-green: var(--green);
    --bs-cyan: var(--info);
    --bs-primary: var(--primary);
    --bs-secondary: var(--secondary);
    --bs-success: var(--success);
    --bs-info: var(--info);
    --bs-warning: var(--warning);
    --bs-danger: var(--red);
    --bs-light: var(--light);
    --bs-dark: var(--dark);
}

a {
    color: var(--link-color);
    opacity: 0.9;
}

a:hover {
    color: var(--link-color) !important;
    opacity: 1;
}

#page-header #mybread > span.bread-nav a.bread-link,
#page-header #mybread > span.bread-nav a::before,
#page-header #mybread > span.bread-nav.active a.bread-link,
#page-header #mybread > span.bread-nav.active a.bread-link::before {
    color: var(--banner-binding-main-text-color) !important;
}


kbd {
    background-color: var(--dark);
}

.table {
    h1,h2,h3,h4,h5 {
        color: var(--page-color)
    }
    td{
        color: var(--main-text-color);
    }
    --bs-table-striped-color: var(--main-text-color);
    --bs-table-active-color: var(--main-text-color);
    --bs-table-hover-color: var(--main-text-color);
}

.table-responsive {
    h1,h2,h3,h4,h5 {
        color: var(--page-color)
    }
}


.table-light {
    --bs-table-bg: var(--light);
}

.table-dark {
    --bs-table-bg: var(--dark);
}

.form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}

.form-check-input[type=checkbox]:indeterminate {
    background-color: var(--primary);
    border-color: var(--primary);
}

.form-range::-webkit-slider-thumb {
    background-color: var(--primary);
}

.form-range::-moz-range-thumb {
    background-color: var(--primary);
}

.valid-feedback {
    color: var(--success);
}

.was-validated .form-control:valid,
.form-control.is-valid {
    border-color: var(--success);
}

.was-validated .form-control:valid:focus,
.form-control.is-valid:focus {
    border-color: var(--success);
}

.was-validated .form-select:valid,
.form-select.is-valid {
    border-color: var(--success);
}

.was-validated .form-select:valid:focus,
.form-select.is-valid:focus {
    border-color: var(--success);
}

.was-validated .form-check-input:valid,
.form-check-input.is-valid {
    border-color: var(--success);
}

.was-validated .form-check-input:valid:checked,
.form-check-input.is-valid:checked {
    background-color: var(--success);
}

.was-validated .form-check-input:valid~.form-check-label,
.form-check-input.is-valid~.form-check-label {
    color: var(--success);
}

.btn-primary {
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn-primary:disabled,
.btn-primary.disabled {
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn-success {
    background-color: var(--success);
    border-color: var(--success);
}

.btn-success:disabled,
.btn-success.disabled {
    background-color: var(--success);
    border-color: var(--success);
}

.btn-info {
    background-color: var(--info);
    border-color: var(--info);
}

.btn-info:disabled,
.btn-info.disabled {
    background-color: var(--info);
    border-color: var(--info);
}

.btn-warning {
    background-color: var(--warning);
    border-color: var(--warning);
}

.btn-warning:disabled,
.btn-warning.disabled {
    background-color: var(--warning);
    border-color: var(--warning);
}

.btn-dark {
    background-color: var(--dark);
    border-color: var(--dark);
}

.btn-dark:disabled,
.btn-dark.disabled {
    background-color: var(--dark);
    border-color: var(--dark);
}

.btn-outline-primary {
    color: var(--primary);
    border-color: var(--primary);
}

.btn-outline-primary:hover {
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn-check:checked+.btn-outline-primary,
.btn-check:active+.btn-outline-primary,
.btn-outline-primary:active,
.btn-outline-primary.active,
.btn-outline-primary.dropdown-toggle.show {
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn-outline-primary:disabled,
.btn-outline-primary.disabled {
    color: var(--primary);
}

.btn-outline-success {
    color: var(--success);
    border-color: var(--success);
}

.btn-outline-success:hover {
    background-color: var(--success);
    border-color: var(--success);
}

.btn-check:checked+.btn-outline-success,
.btn-check:active+.btn-outline-success,
.btn-outline-success:active,
.btn-outline-success.active,
.btn-outline-success.dropdown-toggle.show {
    background-color: var(--success);
    border-color: var(--success);
}

.btn-outline-success:disabled,
.btn-outline-success.disabled {
    color: var(--success);
}

.btn-outline-info {
    color: var(--info);
    border-color: var(--info);
}

.btn-outline-info:hover {
    background-color: var(--info);
    border-color: var(--info);
}

.btn-check:checked+.btn-outline-info,
.btn-check:active+.btn-outline-info,
.btn-outline-info:active,
.btn-outline-info.active,
.btn-outline-info.dropdown-toggle.show {
    background-color: var(--info);
    border-color: var(--info);
}

.btn-outline-info:disabled,
.btn-outline-info.disabled {
    color: var(--info);
}

.btn-outline-warning {
    color: var(--warning);
    border-color: var(--warning);
}

.btn-outline-warning:hover {
    background-color: var(--warning);
    border-color: var(--warning);
}

.btn-check:checked+.btn-outline-warning,
.btn-check:active+.btn-outline-warning,
.btn-outline-warning:active,
.btn-outline-warning.active,
.btn-outline-warning.dropdown-toggle.show {
    background-color: var(--warning);
    border-color: var(--warning);
}

.btn-outline-warning:disabled,
.btn-outline-warning.disabled {
    color: var(--warning);
}

.btn-outline-dark {
    color: var(--dark);
    border-color: var(--dark);
}

.btn-outline-dark:hover {
    background-color: var(--dark);
    border-color: var(--dark);
}

.btn-check:checked+.btn-outline-dark,
.btn-check:active+.btn-outline-dark,
.btn-outline-dark:active,
.btn-outline-dark.active,
.btn-outline-dark.dropdown-toggle.show {
    background-color: var(--dark);
    border-color: var(--dark);
}

.btn-outline-dark:disabled,
.btn-outline-dark.disabled {
    color: var(--dark);
}

.btn-link {
    color: var(--primary);
}

.dropdown-item {
    color: var(--dark);
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: var(--primary);
}

.dropdown-item-text {
    color: var(--dark);
}

.dropdown-menu-dark .dropdown-item.active,
.dropdown-menu-dark .dropdown-item:active {
    background-color: var(--primary);
}

.nav-link {
    color: var(--primary);
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    background-color: var(--primary);
}

.page-link {
    color: var(--primary);
}

.page-item.active .page-link {
    background-color: var(--primary);
    border-color: var(--primary);
}

.progress-bar {
    background-color: var(--primary);
}

.list-group-item {
    color: var(--dark);
}

.list-group-item.active {
    background-color: var(--primary);
    border-color: var(--primary);
}

.link-primary {
    color: var(--primary);
}

.link-success {
    color: var(--success);
}

.link-info {
    color: var(--info);
}

.link-warning {
    color: var(--warning);
}

.link-dark {
    color: var(--dark);
}

.border-primary {
    border-color: var(--primary) !important;
}

.border-success {
    border-color: var(--success) !important;
}

.border-info {
    border-color: var(--info) !important;
}

.border-warning {
    border-color: var(--warning) !important;
}

.border-dark {
    border-color: var(--dark) !important;
}

.text-primary {
    color: var(--primary) !important;
}

.text-success {
    color: var(--success) !important;
}

.text-info {
    color: var(--info) !important;
}

.text-warning {
    color: var(--warning) !important;
}

.text-dark {
    color: var(--dark) !important;
}

.bg-primary {
    background-color: var(--primary) !important;
}

.bg-success {
    background-color: var(--success) !important;
}

.bg-info {
    background-color: var(--info) !important;
}

.bg-warning {
    background-color: var(--warning) !important;
}

.bg-dark {
    background-color: var(--dark) !important;
}

.luftwaffe-pageheader .luftwaffe-carousel-indicators button.active {
    background-color: var(--banner-binding-slider-buttons-color) !important;
}

.luftwaffe-pageheader .luftwaffe-carousel-contols .btn-carousel-prev {
    background-color: var(--banner-binding-slider-buttons-color);
}

.luftwaffe-pageheader .luftwaffe-carousel-contols .btn-carousel-next {
    background-color: var(--banner-binding-slider-buttons-color);
}

.luftwaffe-pageheader .carousel-inner .luftwaffe-carousel-shadow {
    box-shadow: inset 0 0 20rem var(--dark);
}

/*
.luftwaffe-pageheader .carousel-inner .page-header-item .carousel-mask {
    background:var(--dark);
}
*/
.luftwaffe-pageheader .carousel-inner .page-header-item .page-header-item-text .page-header-item-text-header {
    color: var(--orange);
}

.luftwaffe-pageheader .header-title h1,
.luftwaffe-pageheader .header-title .h1 {
    color: var(--banner-binding-main-text-color);
}

.luftwaffe-cards .luftwaffe-card .inner-card {
    background-color: var(--cards-background-color);
}

.luftwaffe-cards .luftwaffe-card .inner-card .card-text {
    color: var(--dark);
}

.luftwaffe-cards .luftwaffe-subcard .inner-card {
    background-color: var(--cards-background-color);
}

.luftwaffe-cards .luftwaffe-subcard .inner-card .card-text {
    color: var(--dark);
}

.luftwaffe-cards-subcards .luftwaffe-subcard .inner-card {
    background-color: var(--cards-background-color);
}

.luftwaffe-cards-subcards .luftwaffe-subcard .inner-card .card-text {
    color: var(--dark);
}

.luftwaffe #mybread>span.bread-nav.active a {
    color: var(--primary) !important;
}

.luftwaffe #mybread>span.bread-nav.active a:before,
.luftwaffe #mybread>span.bread-nav a:before {
    color: var(--link-color);
}

.luftwaffe #mybread>span.bread-nav a {
    color: var(--link-color) !important;
}

.luftwaffe footer.luftwaffe-footer {
    background-color: var(--banner-binding-background-color);
}

.luftwaffe footer.luftwaffe-footer input,
.luftwaffe footer.luftwaffe-footer textarea {
    border-color: var(--dark);
}

.luftwaffe footer.luftwaffe-footer input:focus,
.luftwaffe footer.luftwaffe-footer textarea:focus {
    border-color: var(--primary);
}

.form-navigation .btn-toolbar .btn-group .previous button {
    color: var(--primary) !important;
}

.interferer {
    color: var(--primary);
}

.interferer a {
    color: var(--link-color);
}

.interferer .interferer-opened {
    background-color: var(--cards-background-color);
    border: solid 2px var(--primary);
}

.interferer .interferer-closed {
    background-color: var(--interferer-background-color);
    border: solid 2px var(--interferer-border-color);
}

.interferer .interferer-btn-submit:hover {
    color: var(--primary);
}

.btn-rounded {
    border: solid 2px var(--primary) !important;
}

.luftwaffe #page-header nav.navbar .navbar-nav .nav-link:hover {
    color: var(--primary);
}

.luftwaffe #page-header nav.navbar .navbar-nav .dropdown-menu {
    border-left: .2rem solid var(--page-color);
}

.luftwaffe #page-header nav.navbar .nav-search-link-mobile,
.luftwaffe #page-header nav.navbar .navbar-toggler {
    background-color: var(--primary);
}

.luftwaffe #page-header nav.navbar .nav-item .dropdown-menu .dropdown-item:hover,
.luftwaffe #page-header nav.navbar .nav-item .dropdown-menu .dropdown-item:focus {
    color: var(--primary);
}

.luftwaffe .navbar-collapse.show {
    background-color: var(--dark);
}

.luftwaffe #page-header {
    background-color: var(--banner-binding-background-color);
}

.luftwaffe.scrolled #page-header {
    background-color: var(--banner-binding-background-color);
}

.ce-uploads .uploads-content {
    border: 2px solid var(--page-color);
}

a.link-button {
    background-color: var(--link-color);
    border-color: var(--link-color);
}

.luftwaffe #login.modal {
    background-color: var(--dark);
}

.luftwaffe #login.modal .modal-content {
    background-color: var(--cards-background-color);
}

.luftwaffe #userDataModal.modal {
    background-color: var(--dark);
}

.luftwaffe #userDataModal.modal .modal-dialog .modal-content {
    background-color: var(--cards-background-color);
}

.luftwaffe .cm-toggle:after {
    background: var(--primary);
}

.luftwaffe .cm-toggle:checked:after {
    background: var(--success);
}

.luftwaffe #userStatusModal.modal {
    background-color: var(--dark);
}

.luftwaffe #userStatusModal.modal .modal-dialog .modal-content {
    background-color: var(--cards-background-color);
}

.luftwaffe .cm-toggle:after {
    background: var(--primary);
}

.luftwaffe .cm-toggle:checked:after {
    background: var(--success);
}

.luftwaffe #changePasswordModal.modal {
    background-color: var(--dark);
}

.luftwaffe #changePasswordModal.modal .modal-content {
    background-color: var(--cards-background-color);
}

.luftwaffe .om-cookie-panel {
    background: var(--dark);
}

.luftwaffe ul.dflex.flex-wrap.cus-row {
    border: 2px solid var(--page-color);
}

.luftwaffe ul.dflex.flex-wrap.cus-row::-webkit-scrollbar-thumb {
    background: var(--primary);
}

.newsletter-luxletter table.body-drip,
.newsletterContainer-luxletter table.body-drip {
    border-top: 8px solid var(--primary);
}

.newsletter-luxletter table.row.footer p.text-center a,
.newsletterContainer-luxletter table.row.footer p.text-center a {
    color: var(--link-color);
}

.tx-md-fullcalendar a.cal-item[data-title]:after {
    background-color: var(--cards-background-color);
    color: var(--primary);
}

.tx-md-fullcalendar .modal .modal-content {
    background-color: var(--cards-background-color);
}

#c397,
#c416 {
    background-color: var(--cards-background-color);
}

#c397 form .col-1,
#c397 form .col-2,
#c397 form .col-3,
#c397 form .col-4,
#c397 form .col-5,
#c397 form .col-6,
#c397 form .col-7,
#c397 form .col-8,
#c397 form .col-9,
#c397 form .col-10,
#c397 form .col-11,
#c397 form .col-12,
#c416 form .col-1,
#c416 form .col-2,
#c416 form .col-3,
#c416 form .col-4,
#c416 form .col-5,
#c416 form .col-6,
#c416 form .col-7,
#c416 form .col-8,
#c416 form .col-9,
#c416 form .col-10,
#c416 form .col-11,
#c416 form .col-12 {
    border-color: var(--dark) !important;
}

#c397 form .btn-toolbar .next.submit button,
#c416 form .btn-toolbar .next.submit button {
    background-color: var(--success);
    border-color: var(--success);
}

.addGuestForEvent {
    color: var(--blue);
}

fieldset .event-registration-row input,
fieldset .event-registration-row input:focus-visible {
    background-color: var(--cards-background-color) !important;
}

.form-check-input:checked {
    background-color: var(--success);
    border-color: var(--success);
}

.plane::before {
    color: var(--primary);
}

.modalFeUserSelect.modal .modal-dialog .modal-content {
    background-color: var(--cards-background-color);
}

#createContactFeUserModal.modal .modal-dialog .modal-content {
    background-color: var(--cards-background-color);
}

table.feUserSelectTable tbody tr:hover {
    background-color: var(--page-color) !important;
}

.searchUserFieldIcon:hover {
    background-color: var(--primary);
}

#afterEventRegistrationModal.modal .modal-content {
    background-color: var(--cards-background-color);
}

.modalEventDetails.modal .modal-dialog .modal-content {
    background-color: var(--cards-background-color);
}

#enterPartnerNameModal.modal .modal-content {
    background-color: var(--cards-background-color);
}

html {
    background-color: var(--dark);
}

.form-check .form-check-input[type=checkbox]:checked {
    background-color: var(--success);
}

.interferer .interferer-opened,
.interferer .interferer-closed {
    background-color: var(--interferer-background-color) !important;
    border: 2px solid var(--interferer-border-color) !important;

    .interferer-btn-close,
    .interferer-btn-open {
        color: var(--interferer-arrow-color) !important;
    }

    .interferer-header h5,
    .interferer-closed-text {
        color: var(--interferer-heading-color);
    }

    .interferer-btn-submit {
        background-color: var(--interferer-button-background-color);
        color: var(--interferer-button-text-color);
        border: 2px solid var(--interferer-button-border-color) !important;
    }

    .article {
        h3 a {
            color: var(--interferer-news-title-color) !important;
        }

        .teaser-text {
            p {
                color: var(--interferer-news-description-color);
            }
            a.more {
                color: var(--interferer-news-link-color) !important;
                
                &:hover {
                    font-weight: 700;
                }
            }
        }

        .footer {
            color: var(--interferer-news-text-color);
        }
    }
}

.yesshadow {
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.7);
}
.w-95 {
    width: 95%;

    img {
       margin-bottom: 16px !important; 
    }
}

.w-85 {
    width: 85%;

    img {
    margin-bottom: 16px !important; 
    }
}

.btn.btn-primary {
    color: var(--primary-btn-text-color);
    background-color: var(--primary-btn-bg-color);
    border: 1px solid var(--primary-btn-bg-color);
    opacity: 0.85 !important;

    &:hover {
        color: var(--primary-btn-text-color) !important;
        opacity: 1 !important;
    }
}

.btn-success {
    opacity: 0.85;

    &:hover, &:active, &:focus {
        color: var(--primary-btn-text-color) !important;
        opacity: 1 !important;
       
    }
}

.navbar-nav a.nav-link:hover{
    color: var(--primary) !important;
    opacity: 1 !important;
}

#Kontaktform{ 

    p,h1,h2,h3,h4,h5,span,label {
        color: var(--banner-binding-main-text-color);  
    }
    #bw_captcha__renew {
        color: #ffffff;;
    }
    .rightcolumn {
        div p a, div p a span {
            color: var(--banner-binding-footer-email-color) !important;
            font-size: 16px;
            opacity: 1 !important;

            &:hover {
                color: var(--banner-binding-footer-email-color) !important;
                opacity: 1 !important;
                font-weight: 700;
            }
        }

        div p {
            text-align: right !important;
        }
        .luftwaffe-contact-text {
            color: var(--banner-binding-secondary-text-color) !important;
            a {
                color: var(--banner-binding-secondary-text-color) !important;
                opacity: 1;
                &:hover {
                    color: var(--banner-binding-secondary-text-color) !important;    
                    opacity: 1 !important;
                    font-weight: 700;
                }
            }
        }
     
    }
    .text-copyright {
        color: var(--banner-binding-copyright-text-color) !important;   
    }
}

#page-header #navbarSupportedContent .nav-link,
.page-wrapper .luftwaffe-pageheader .header-title div h1
.page-wrapper .luftwaffe-pageheader .header-title h2
.page-wrapper .luftwaffe-pageheader .header-title h3 {
    color: var(--banner-binding-main-text-color) !important;
}

#createFeUserContactModal .modal-body form .actions .btn-toolbar .next.submit{
    margin-top: -18px;
    &:hover { 
        background-color: transparent !important;
    }
}

table.feUserSelectTable tbody tr:hover td {
    color: #ffffff !important; /* Textfarbe in allen td-Elementen */
}

#feUserSelectionModal .border-primary {
    border-color: var(--page-color) !important;
}

.luftwaffe-circle.luftwaffe-circle-2.bg-primary,
.luftwaffe-circle.luftwaffe-circle-3.bg-primary {
    background-color: var(--banner-binding-slider-buttons-color) !important;
}

.interferer-opened .news .article h3 {
    font-size: 1rem !important;
    font-weight: 700 !important;
}

.tab-pane .row {
    display: none;
}
.tab-pane.active .row {
    display: flex;
}
.passwordWrap #myTab {
    display: none;
}


.bw-osm-name {
    font-size: 1rem;
}

.bw-osm-email {

}

.bw-osm-cellphone {

}

.bw-osm-description {
    display: none;
}

.ol-popup {
    min-width: 200px !important;
}

.ol-popup::before {
    border-top-color: transparent !important;
}

.news-img-wrap .outer .mediaelement.mediaelement-image {
    background-color: var(--main-background-color);
}
